#ifndef __FSTOKEN_H__
#define __FSTOKEN_H__
#include "blst/blst.h"

#define IDBITS_DEFAULT 128
#define IDBITS_MAX 256
#define HASHBITS_DEFAULT 256
#define HASHBITS_MAX 256

typedef struct{
    byte sk[32];
    byte pk[96];
    uint8_t idbits;
    uint8_t hashbits;
} target_descriptor;

void fstoken_keygen(byte* ikm, byte* sk_byte, byte* pk_byte);
void fstoken_get_pk_from_sk(byte* sk_byte, byte* pk_byte);

#endif